Rem Tests if a string is a palindrome
print "*** PALINDROME TESTER ***"
msg1$ = "Palindrome"
msg2$ = "Not a Palindrome"
Input "Enter a string : ", x$
x$ = ucase$(x$)
do
  l = len(x$)
  if (l <= 1) then exit do
  if left$(x$,1) <> right$(x$,1) then print msg2$ : end
  x$ = mid$(x$, 2, l-2)
loop
print msg1$


